Index: uspace/app/tester/ext2/ext2_1.c
===================================================================
--- uspace/app/tester/ext2/ext2_1.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
+++ uspace/app/tester/ext2/ext2_1.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -0,0 +1,106 @@
+/*
+ * Copyright (c) 2011 Martin Sucha
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#include <stdio.h>
+#include <unistd.h>
+#include "../tester.h"
+#include "../util.h"
+#include <libext2.h>
+#include <malloc.h>
+
+static ext2_superblock_t *fake_superblock1()
+{
+	uint8_t *buf;
+	int i;
+	
+	buf = malloc(EXT2_SUPERBLOCK_SIZE);
+	if (buf == NULL) {
+		return NULL;
+	}
+	
+	for (i = 0; i < EXT2_SUPERBLOCK_SIZE; i++) {
+		buf[i] = i % 256;
+	}
+	
+	return (ext2_superblock_t *) buf;
+}
+
+const char *test_ext2_1(void)
+{
+	ext2_superblock_t *fake1;
+	
+	TPRINTF("Testing ext2 superblock getters...\n");
+	TPRINTF("Simple test for correct position and byte order\n");
+	
+	fake1 = fake_superblock1();
+	if (fake1 == NULL) {
+		return "Failed allocating memory for test superblock 1";
+	}
+	
+	ASSERT_EQ_32(0x03020100, ext2_superblock_get_total_inode_count(fake1),
+	    "Failed getting total inode count");
+	ASSERT_EQ_32(0x07060504, ext2_superblock_get_total_block_count(fake1),
+	    "Failed getting total block count");
+	ASSERT_EQ_32(0x0B0A0908, ext2_superblock_get_reserved_block_count(fake1),
+	    "Failed getting reserved block count");
+	ASSERT_EQ_32(0x0F0E0D0C, ext2_superblock_get_free_block_count(fake1),
+	    "Failed getting free block count");
+	ASSERT_EQ_32(0x13121110, ext2_superblock_get_free_inode_count(fake1),
+	    "Failed getting free inode count");
+	ASSERT_EQ_32(0x17161514, ext2_superblock_get_first_block(fake1),
+	    "Failed getting first block number");
+	ASSERT_EQ_32(0x1B1A1918, ext2_superblock_get_block_size_log2(fake1),
+	    "Failed getting log block size");
+	ASSERT_EQ_32(0x1F1E1D1C, ext2_superblock_get_fragment_size_log2(fake1),
+	    "Failed getting log fragment size");
+	ASSERT_EQ_32(0x23222120, ext2_superblock_get_blocks_per_group(fake1),
+	    "Failed getting blocks per group");
+	ASSERT_EQ_32(0x27262524, ext2_superblock_get_fragments_per_group(fake1),
+	    "Failed getting fragments per group");
+	ASSERT_EQ_32(0x2B2A2928, ext2_superblock_get_inodes_per_group(fake1),
+	    "Failed getting inodes per group");
+	ASSERT_EQ_16(0x3938, ext2_superblock_get_magic(fake1),
+	    "Failed getting magic number");
+	ASSERT_EQ_16(0x3B3A, ext2_superblock_get_state(fake1),
+	    "Failed getting state");
+	ASSERT_EQ_16(0x3F3E, ext2_superblock_get_rev_minor(fake1),
+	    "Failed getting minor revision number");
+	ASSERT_EQ_32(0x4B4A4948, ext2_superblock_get_os(fake1),
+	    "Failed getting OS");
+	ASSERT_EQ_32(0x4F4E4D4C, ext2_superblock_get_rev_major(fake1),
+	    "Failed getting major revision number");
+	ASSERT_EQ_32(0x57565554, ext2_superblock_get_first_inode(fake1),
+	    "Failed getting first inode number");
+	ASSERT_EQ_16(0x5958, ext2_superblock_get_inode_size(fake1),
+	    "Failed getting size");
+	ASSERT_EQ_8(0x68, fake1->uuid[0], "UUID position is incorrect");
+	ASSERT_EQ_8(0x78, fake1->volume_name[0],
+	    "Volume name position is incorrect");
+	
+	return NULL;
+}
Index: uspace/app/tester/ext2/ext2_1.def
===================================================================
--- uspace/app/tester/ext2/ext2_1.def	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
+++ uspace/app/tester/ext2/ext2_1.def	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -0,0 +1,6 @@
+{
+	"ext2_1",
+	"Superblock getters test",
+	&test_ext2_1,
+	true
+},
Index: uspace/app/tester/float/softfloat1.c
===================================================================
--- uspace/app/tester/float/softfloat1.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/float/softfloat1.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -34,10 +34,8 @@
 #include <mul.h>
 #include <div.h>
-#include <comparison.h>
-#include <conversion.h>
-#include <stdbool.h>
+#include <bool.h>
 #include "../tester.h"
 
-#define OPERANDS  10
+#define OPERANDS  6 
 #define PRECISION  10000
 
@@ -45,29 +43,20 @@
 
 typedef int32_t cmptype_t;
-
-typedef void (* uint_to_double_op_t)(unsigned int, double *, double_t *);
-typedef void (* double_to_uint_op_t)(double, unsigned int *, unsigned int *);
-typedef void (* float_binary_op_t)(float, float, float *, float_t *);
-typedef void (* double_binary_op_t)(double, double, double *, double_t *);
-typedef void (* double_cmp_op_t)(double, double, cmptype_t *, cmptype_t *);
-
-typedef void (* template_unary_t)(void *, unsigned, cmptype_t *, cmptype_t *);
-typedef void (* template_binary_t)(void *, unsigned, unsigned, cmptype_t *,
+typedef void (* float_op_t)(float, float, float *, float_t *);
+typedef void (* double_op_t)(double, double, double *, double_t *);
+typedef void (* template_t)(void *, unsigned, unsigned, cmptype_t *,
     cmptype_t *);
 
-#define NUMBERS	\
-	3.5, -2.1, 100.0, 50.0, -1024.0, 0.0, 768.3156, 1080.499999, -600.0, 1.0
-
-static float fop_a[OPERANDS] = {
-	NUMBERS
-};
-
-static double dop_a[OPERANDS] =	{
-	NUMBERS
-};
-
-static unsigned int uop_a[OPERANDS] = {
-	4, -100, 100, 50, 1024, 0, 1000000, -1U, 0x80000000U, 500
-};
+static float fop_a[OPERANDS] =
+	{3.5, -2.1, 100.0, 50.0, -1024.0, 0.0};
+
+static float fop_b[OPERANDS] =
+	{-2.1, 100.0, 50.0, -1024.0, 3.5, 0.0};
+
+static double dop_a[OPERANDS] =
+	{3.5, -2.1, 100.0, 50.0, -1024.0, 0.0};
+
+static double dop_b[OPERANDS] =
+	{-2.1, 100.0, 50.0, -1024.0, 3.5, 0.0};
 
 static cmptype_t cmpabs(cmptype_t a)
@@ -79,23 +68,29 @@
 }
 
-static int dcmp(double a, double b)
-{
-	if (a < b)
-		return -1;
-	else if (a > b)
-		return 1;
-
-	return 0;
-}
-
 static void
-uint_to_double_template(void *f, unsigned i, cmptype_t *pic, cmptype_t *pisc)
+float_template(void *f, unsigned i, unsigned j, cmptype_t *pic,
+    cmptype_t *pisc)
+{
+	float c;
+	float_t sc;
+
+	float_op_t op = (float_op_t) f;
+	
+	op(fop_a[i], fop_b[j], &c, &sc);
+
+	*pic = (cmptype_t) (c * PRECISION);
+	*pisc = (cmptype_t) (sc.val * PRECISION);
+}
+
+static void
+double_template(void *f, unsigned i, unsigned j, cmptype_t *pic,
+    cmptype_t *pisc)
 {
 	double c;
 	double_t sc;
 
-	uint_to_double_op_t op = (uint_to_double_op_t) f;
-	
-	op(uop_a[i], &c, &sc);
+	double_op_t op = (double_op_t) f;
+	
+	op(dop_a[i], dop_b[j], &c, &sc);
 
 	*pic = (cmptype_t) (c * PRECISION);
@@ -103,79 +98,5 @@
 }
 
-static void
-double_to_uint_template(void *f, unsigned i, cmptype_t *pic, cmptype_t *pisc)
-{
-	unsigned int c;
-	unsigned int sc;
-
-	double_to_uint_op_t op = (double_to_uint_op_t) f;
-	
-	op(dop_a[i], &c, &sc);
-
-	*pic = (cmptype_t) c;
-	*pisc = (cmptype_t) sc;
-}
-
-
-static void
-float_template_binary(void *f, unsigned i, unsigned j, cmptype_t *pic,
-    cmptype_t *pisc)
-{
-	float c;
-	float_t sc;
-
-	float_binary_op_t op = (float_binary_op_t) f;
-	
-	op(fop_a[i], fop_a[j], &c, &sc);
-
-	*pic = (cmptype_t) (c * PRECISION);
-	*pisc = (cmptype_t) (sc.val * PRECISION);
-}
-
-static void
-double_template_binary(void *f, unsigned i, unsigned j, cmptype_t *pic,
-    cmptype_t *pisc)
-{
-	double c;
-	double_t sc;
-
-	double_binary_op_t op = (double_binary_op_t) f;
-	
-	op(dop_a[i], dop_a[j], &c, &sc);
-
-	*pic = (cmptype_t) (c * PRECISION);
-	*pisc = (cmptype_t) (sc.val * PRECISION);
-}
-
-static void
-double_compare_template(void *f, unsigned i, unsigned j, cmptype_t *pis,
-    cmptype_t *piss)
-{
-	double_cmp_op_t op = (double_cmp_op_t) f;
-	
-	op(dop_a[i], dop_a[j], pis, piss);
-}
-
-static bool test_template_unary(template_unary_t template, void *f)
-{
-	bool correct = true;
-	
-	for (unsigned int i = 0; i < OPERANDS; i++) {
-		cmptype_t ic;
-		cmptype_t isc;
-
-		template(f, i, &ic, &isc);	
-		cmptype_t diff = cmpabs(ic - isc);
-			
-		if (diff != 0) {
-			TPRINTF("i=%u diff=%" PRIdCMPTYPE "\n", i, diff);
-			correct = false;
-		}
-	}
-	
-	return correct;
-}
-
-static bool test_template_binary(template_binary_t template, void *f)
+static bool test_template(template_t template, void *f)
 {
 	bool correct = true;
@@ -200,32 +121,4 @@
 }
 
-static void uint_to_double_operator(unsigned int a, double *pc, double_t *psc)
-{
-	*pc = (double) a;
-	psc->data = uint_to_double(a);
-}
-
-static void
-double_to_uint_operator(double a, unsigned int *pc, unsigned int *psc)
-{
-	double_t sa;
-
-	sa.val = a;
-
-	*pc = (unsigned int) a;
-	*psc = double_to_uint(sa.data);
-}
-
-static void
-double_to_int_operator(double a, unsigned int *pc, unsigned int *psc)
-{
-	double_t sa;
-
-	sa.val = a;
-
-	*pc = (int) a;
-	*psc = double_to_int(sa.data);
-}
-
 static void float_add_operator(float a, float b, float *pc, float_t *psc)
 {
@@ -328,72 +221,32 @@
 }
 
-static void
-double_cmp_operator(double a, double b, cmptype_t *pis, cmptype_t *piss)
-{
-	*pis = dcmp(a, b);
-
-	double_t sa;
-	double_t sb;
-
-	sa.val = a;
-	sb.val = b;
-
-	if (is_double_lt(sa.data, sb.data))
-		*piss = -1;
-	else if (is_double_gt(sa.data, sb.data))
-		*piss = 1;
-	else if (is_double_eq(sa.data, sb.data))
-		*piss = 0;
-	else
-		*piss = 42;
-}
-
 const char *test_softfloat1(void)
 {
 	const char *err = NULL;
 
-	if (!test_template_binary(float_template_binary, float_add_operator)) {
+	if (!test_template(float_template, float_add_operator)) {
 		err = "Float addition failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(float_template_binary, float_mul_operator)) {
+	if (!test_template(float_template, float_mul_operator)) {
 		err = "Float multiplication failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(float_template_binary, float_div_operator)) {
+	if (!test_template(float_template, float_div_operator)) {
 		err = "Float division failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(double_template_binary, double_add_operator)) {
+	if (!test_template(double_template, double_add_operator)) {
 		err = "Double addition failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(double_template_binary, double_mul_operator)) {
+	if (!test_template(double_template, double_mul_operator)) {
 		err = "Double multiplication failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(double_template_binary, double_div_operator)) {
+	if (!test_template(double_template, double_div_operator)) {
 		err = "Double division failed";
 		TPRINTF("%s\n", err);
 	}
-	if (!test_template_binary(double_compare_template, double_cmp_operator)) {
-		err = "Double comparison failed";
-		TPRINTF("%s\n", err);
-	}
-	if (!test_template_unary(uint_to_double_template,
-	    uint_to_double_operator)) {
-		err = "Conversion from unsigned int to double failed";
-		TPRINTF("%s\n", err);
-	}
-	if (!test_template_unary(double_to_uint_template,
-	    double_to_uint_operator)) {
-		err = "Conversion from double to unsigned int failed";
-		TPRINTF("%s\n", err);
-	}
-	if (!test_template_unary(double_to_uint_template,
-	    double_to_int_operator)) {
-		err = "Conversion from double to signed int failed";
-		TPRINTF("%s\n", err);
-	}
 	
 	return err;
Index: uspace/app/tester/mm/common.c
===================================================================
--- uspace/app/tester/mm/common.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/mm/common.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -343,5 +343,5 @@
 	
 	area->addr = as_area_create(AS_AREA_ANY, size,
-	    AS_AREA_WRITE | AS_AREA_READ | AS_AREA_CACHEABLE);
+	    AS_AREA_WRITE | AS_AREA_READ);
 	if (area->addr == AS_MAP_FAILED) {
 		free(area);
Index: uspace/app/tester/mm/common.h
===================================================================
--- uspace/app/tester/mm/common.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/mm/common.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <adt/list.h>
 
Index: uspace/app/tester/mm/mapping1.c
===================================================================
--- uspace/app/tester/mm/mapping1.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/mm/mapping1.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -43,5 +43,5 @@
 	
 	void *result = as_area_create(AS_AREA_ANY, size,
-	    AS_AREA_READ | AS_AREA_WRITE | AS_AREA_CACHEABLE);
+	    AS_AREA_READ | AS_AREA_WRITE);
 	if (result == AS_MAP_FAILED)
 		return NULL;
Index: uspace/app/tester/print/print5.def
===================================================================
--- uspace/app/tester/print/print5.def	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/print/print5.def	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -1,6 +1,6 @@
 {
-	"print5",
-	"Char printf test",
-	&test_print5,
+	"print1",
+	"String printf test",
+	&test_print1,
 	true
 },
Index: uspace/app/tester/tester.c
===================================================================
--- uspace/app/tester/tester.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/tester.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -53,5 +53,4 @@
 #include "print/print4.def"
 #include "print/print5.def"
-#include "print/print6.def"
 #include "console/console1.def"
 #include "stdio/stdio1.def"
@@ -74,4 +73,5 @@
 #include "hw/serial/serial1.def"
 #include "hw/misc/virtchar1.def"
+#include "ext2/ext2_1.def"
 	{NULL, NULL, NULL, false}
 };
Index: uspace/app/tester/tester.h
===================================================================
--- uspace/app/tester/tester.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tester/tester.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <stacktrace.h>
 
@@ -85,5 +85,4 @@
 extern const char *test_print4(void);
 extern const char *test_print5(void);
-extern const char *test_print6(void);
 extern const char *test_console1(void);
 extern const char *test_stdio1(void);
@@ -106,4 +105,5 @@
 extern const char *test_serial1(void);
 extern const char *test_virtchar1(void);
+extern const char *test_ext2_1(void);
 extern const char *test_devman1(void);
 extern const char *test_devman2(void);
Index: uspace/app/tetris/screen.c
===================================================================
--- uspace/app/tetris/screen.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tetris/screen.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -61,5 +61,5 @@
 #include <vfs/vfs.h>
 #include <async.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <io/console.h>
 #include <io/style.h>
Index: uspace/app/tetris/screen.h
===================================================================
--- uspace/app/tetris/screen.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/tetris/screen.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -58,5 +58,5 @@
 #include <io/console.h>
 #include <async.h>
-#include <stdbool.h>
+#include <bool.h>
 
 typedef struct {
Index: uspace/app/trace/trace.c
===================================================================
--- uspace/app/trace/trace.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/trace/trace.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -43,5 +43,5 @@
 #include <mem.h>
 #include <str.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <loader/loader.h>
 #include <io/console.h>
Index: uspace/app/usbinfo/desctree.c
===================================================================
--- uspace/app/usbinfo/desctree.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/usbinfo/desctree.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <stdbool.h>
+#include <bool.h>
 
 #include <usb/usb.h>
Index: uspace/app/usbinfo/dump.c
===================================================================
--- uspace/app/usbinfo/dump.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/usbinfo/dump.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <stdbool.h>
+#include <bool.h>
 
 #include <usb/usb.h>
Index: uspace/app/usbinfo/list.c
===================================================================
--- uspace/app/usbinfo/list.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/usbinfo/list.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -40,5 +40,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <getopt.h>
 #include <devman.h>
Index: uspace/app/usbinfo/main.c
===================================================================
--- uspace/app/usbinfo/main.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/usbinfo/main.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <getopt.h>
 #include <devman.h>
Index: uspace/app/vdemo/vdemo.c
===================================================================
--- uspace/app/vdemo/vdemo.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/vdemo/vdemo.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -33,5 +33,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <stdio.h>
 #include <malloc.h>
@@ -110,5 +110,5 @@
 {
 	if (argc >= 2) {
-		window_t *main_window = window_open(argv[1], true, true, "vdemo", 0, 0);
+		window_t *main_window = window_open(argv[1], true, true, "vdemo");
 		if (!main_window) {
 			printf("Cannot open main window.\n");
Index: uspace/app/vlaunch/vlaunch.c
===================================================================
--- uspace/app/vlaunch/vlaunch.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/vlaunch/vlaunch.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -33,5 +33,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <stdio.h>
@@ -98,5 +98,5 @@
 	
 	winreg = argv[1];
-	window_t *main_window = window_open(argv[1], true, true, "vlaunch", 0, 0);
+	window_t *main_window = window_open(argv[1], true, true, "vlaunch");
 	if (!main_window) {
 		printf("Cannot open main window.\n");
Index: uspace/app/vterm/vterm.c
===================================================================
--- uspace/app/vterm/vterm.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/vterm/vterm.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -33,5 +33,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <stdio.h>
 #include <io/pixel.h>
@@ -49,5 +49,5 @@
 	}
 	
-	window_t *main_window = window_open(argv[1], true, true, "vterm", 0, 0);
+	window_t *main_window = window_open(argv[1], true, true, "vterm");
 	if (!main_window) {
 		printf("%s: Cannot open main window.\n", NAME);
Index: uspace/app/websrv/websrv.c
===================================================================
--- uspace/app/websrv/websrv.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/app/websrv/websrv.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -34,5 +34,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/drv/bus/isa/i8237.c
===================================================================
--- uspace/drv/bus/isa/i8237.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/isa/i8237.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -36,8 +36,9 @@
 
 #include <assert.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <fibril_synch.h>
 #include <ddi.h>
+#include <libarch/ddi.h>
 #include <ddf/log.h>
 #include "i8237.h"
Index: uspace/drv/bus/isa/isa.c
===================================================================
--- uspace/drv/bus/isa/isa.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/isa/isa.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -42,5 +42,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/bus/pci/pciintel/pci.c
===================================================================
--- uspace/drv/bus/pci/pciintel/pci.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/pci/pciintel/pci.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -41,5 +41,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <fibril_synch.h>
 #include <str.h>
@@ -58,4 +58,5 @@
 #include <device/hw_res.h>
 #include <ddi.h>
+#include <libarch/ddi.h>
 #include <pci_dev_iface.h>
 
Index: uspace/drv/bus/usb/ehci/ehci.ma
===================================================================
--- uspace/drv/bus/usb/ehci/ehci.ma	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/ehci/ehci.ma	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -1,2 +1,1 @@
-20 usb/host=ehci
 10 pci/class=0c&subclass=03&progif=20
Index: uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -35,5 +35,5 @@
 #define DRV_OHCI_HW_STRUCT_TRANSFER_DESCRIPTOR_H
 
-#include <stdbool.h>
+#include <bool.h>
 #include <stdint.h>
 
Index: uspace/drv/bus/usb/ohci/ohci.ma
===================================================================
--- uspace/drv/bus/usb/ohci/ohci.ma	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/ohci/ohci.ma	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -1,2 +1,1 @@
-20 usb/host=ohci
 10 pci/class=0c&subclass=03&progif=10
Index: uspace/drv/bus/usb/ohci/ohci_regs.h
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_regs.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/ohci/ohci_regs.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -245,5 +245,5 @@
 #define RHPS_PRSC_FLAG (1 << 20) /* port reset status change WC */
 #define RHPS_CHANGE_WC_MASK (0x1f0000)
-} ohci_regs_t;
+} __attribute__((packed)) ohci_regs_t;
 #endif
 /**
Index: uspace/drv/bus/usb/uhci/hc.c
===================================================================
--- uspace/drv/bus/usb/uhci/hc.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/uhci/hc.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -35,5 +35,5 @@
 #include <str_error.h>
 #include <adt/list.h>
-#include <ddi.h>
+#include <libarch/ddi.h>
 
 #include <usb/debug.h>
Index: uspace/drv/bus/usb/uhci/hc.h
===================================================================
--- uspace/drv/bus/usb/uhci/hc.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/uhci/hc.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -37,4 +37,6 @@
 
 #include <fibril.h>
+#include <ddi.h>
+
 #include <usb/host/hcd.h>
 
Index: uspace/drv/bus/usb/uhcirh/port.c
===================================================================
--- uspace/drv/bus/usb/uhcirh/port.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/uhcirh/port.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -32,5 +32,5 @@
  * @brief UHCI root hub port routines
  */
-#include <ddi.h>
+#include <libarch/ddi.h>  /* pio_read and pio_write */
 #include <fibril_synch.h> /* async_usleep */
 #include <errno.h>
Index: uspace/drv/bus/usb/usbhid/generic/hiddev.c
===================================================================
--- uspace/drv/bus/usb/usbhid/generic/hiddev.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbhid/generic/hiddev.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -42,5 +42,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <stdbool.h>
+#include <bool.h>
 
 #include <usbhid_iface.h>
Index: uspace/drv/bus/usb/usbhid/usbhid.h
===================================================================
--- uspace/drv/bus/usb/usbhid/usbhid.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbhid/usbhid.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -44,5 +44,5 @@
 #include <usb/dev/driver.h>
 #include <usb/hid/hid.h>
-#include <stdbool.h>
+#include <bool.h>
 
 typedef struct usb_hid_dev usb_hid_dev_t;
Index: uspace/drv/bus/usb/usbhub/port.c
===================================================================
--- uspace/drv/bus/usb/usbhub/port.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbhub/port.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -34,5 +34,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/bus/usb/usbhub/status.h
===================================================================
--- uspace/drv/bus/usb/usbhub/status.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbhub/status.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -34,5 +34,5 @@
 #define	HUB_STATUS_H
 
-#include <stdbool.h>
+#include <bool.h>
 #include <sys/types.h>
 #include <usb/dev/request.h>
Index: uspace/drv/bus/usb/usbhub/usbhub.c
===================================================================
--- uspace/drv/bus/usb/usbhub/usbhub.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbhub/usbhub.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -35,5 +35,5 @@
 
 #include <ddf/driver.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/bus/usb/usbmast/bo_trans.c
===================================================================
--- uspace/drv/bus/usb/usbmast/bo_trans.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/bus/usb/usbmast/bo_trans.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -34,5 +34,5 @@
  * USB mass storage bulk-only transport.
  */
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/char/i8042/i8042.c
===================================================================
--- uspace/drv/char/i8042/i8042.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/char/i8042/i8042.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -41,4 +41,5 @@
 #include <device/hw_res.h>
 #include <ddi.h>
+#include <libarch/ddi.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/char/ns8250/ns8250.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -40,5 +40,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
@@ -51,4 +51,5 @@
 #include <sys/stat.h>
 #include <ddi.h>
+#include <libarch/ddi.h>
 
 #include <ddf/driver.h>
Index: uspace/drv/char/ps2mouse/ps2mouse.c
===================================================================
--- uspace/drv/char/ps2mouse/ps2mouse.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/char/ps2mouse/ps2mouse.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -33,5 +33,5 @@
  */
 
-#include <stdbool.h>
+#include <bool.h>
 #include <errno.h>
 #include <ddf/log.h>
Index: uspace/drv/fb/kfb/port.c
===================================================================
--- uspace/drv/fb/kfb/port.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/fb/kfb/port.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -163,7 +163,7 @@
 		/* Faster damage routine ignoring offsets. */
 		for (sysarg_t y = y0; y < height + y0; ++y) {
-			pixel_t *pixel = pixelmap_pixel_at(map, x0, y);
 			for (sysarg_t x = x0; x < width + x0; ++x) {
-				kfb.pixel2visual(kfb.addr + FB_POS(x, y), *pixel++);
+				kfb.pixel2visual(kfb.addr + FB_POS(x, y),
+				    *pixelmap_pixel_at(map, x, y));
 			}
 		}
Index: uspace/drv/infrastructure/root/root.c
===================================================================
--- uspace/drv/infrastructure/root/root.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/infrastructure/root/root.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -41,5 +41,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/infrastructure/rootpc/rootpc.c
===================================================================
--- uspace/drv/infrastructure/rootpc/rootpc.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/infrastructure/rootpc/rootpc.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -39,5 +39,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <stdbool.h>
+#include <bool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/nic/e1k/e1k.c
===================================================================
--- uspace/drv/nic/e1k/e1k.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/nic/e1k/e1k.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -45,5 +45,5 @@
 #include <ipc/irc.h>
 #include <ipc/ns.h>
-#include <ddi.h>
+#include <libarch/ddi.h>
 #include <as.h>
 #include <ddf/log.h>
Index: uspace/drv/nic/ne2k/dp8390.c
===================================================================
--- uspace/drv/nic/ne2k/dp8390.c	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/nic/ne2k/dp8390.c	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -58,5 +58,5 @@
 #include <errno.h>
 #include <stdio.h>
-#include <ddi.h>
+#include <libarch/ddi.h>
 #include "dp8390.h"
 
Index: uspace/drv/nic/rtl8139/defs.h
===================================================================
--- uspace/drv/nic/rtl8139/defs.h	(revision 850235d404a93a3e011befe27ef139ef8e288759)
+++ uspace/drv/nic/rtl8139/defs.h	(revision ea906c296a71e3f2edea0bfac602ee88cf04f607)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <ddi.h>
+#include <libarch/ddi.h>
 
 /** Size of RTL8139 registers address space */
